Download it now!
Bug 47051 - [EDITING] Changing a comment position breaks its link to the commented cell
Summary: [EDITING] Changing a comment position breaks its link to the commented cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2012-03-07 05:55 UTC by Nicolas Mailhot
Modified: 2019-05-14 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testcase (25.98 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-07 05:56 UTC, Nicolas Mailhot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Mailhot 2012-03-07 05:55:18 UTC
In the attached testcase, trying to change the Y position of the first comment to 6,25 cm, makes the arrow pointing to the commented cell move to the document origin (sometimes there are even weirder effects, the comment flies to another place in the document)

Specifying a comment position should not change the place its arrow points to and the comment should be placed at the position the user requested
Comment 1 Nicolas Mailhot 2012-03-07 05:56:03 UTC
Created attachment 58116 [details]
testcase
Comment 2 sasha.libreoffice 2012-05-30 07:29:45 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit (on Windows not tested)
Steps to reproduce:
0. Open attachment in Calc
1. Select most upper comment
2. Right mouse click, select "Position and size" from context menu
3. in field "position Y" enter 6 instead of 8,71
4. click OK
Expected: comment binding retains
Actually: comment now connected to non-existing cell (row 0, col 0)

5. Press Ctrl-Z
Expected: comment binding repairs
Actually: only size of comment undone, it still connected to wrong cell
Comment 3 Owen Genat (retired) 2013-03-17 22:35:29 UTC
Further info reported under Ubuntu v10.04 x86_64 / LO v3.5.7.2 (TDF version), Ubuntu v10.04 x86_64 / LO v4.0.1.2 (TDF version), and Windows 7 / LO v4.0.1.2:
a. Steps 1-4 described in comment #2 result in comment moving attachment as described (confirmed). Cntl-Z (twice) will result in restoration of cell binding - first Cntl-Z restores comment position, second Cntl-Z the binding.
b. If I open the spreadsheet and then click-AND-HOLD the mouse pointer assumes the greyed square outline icon indicating object dragging. After drag/release, again the cell binding is lost as described in comment #2. Cntl-Z does not result in restoration of cell binding.
c. If I open the spreadsheet, click on the comment (select), and THEN subsequently 'grab' the comment (fist mouse icon), the cell binding is retained as expected.
Comment 4 QA Administrators 2015-02-19 15:39:07 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-07 14:14:03 UTC
(In reply to sasha.libreoffice from comment #2)
> Thanks for bugreport
> reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit (on Windows not tested)
> Steps to reproduce:
> 0. Open attachment in Calc
> 1. Select most upper comment
> 2. Right mouse click, select "Position and size" from context menu
> 3. in field "position Y" enter 6 instead of 8,71
> 4. click OK
> Expected: comment binding retains
> Actually: comment now connected to non-existing cell (row 0, col 0)
> 
> 5. Press Ctrl-Z
> Expected: comment binding repairs
> Actually: only size of comment undone, it still connected to wrong cell

Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:26:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 7 QA Administrators 2019-05-14 02:56:58 UTC
Dear Nicolas Mailhot,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug